import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.*;


public class TextBox extends Actor
{
    int width, height;
    
    public TextBox(int w,int h) {
        this.width = w;
        this.height = h;
    }
    
    public void setText(String newText) {
        GreenfootImage newImage = new GreenfootImage(width, height);
        newImage.setColor(new Color(255,255,255));
        newImage.fillRect(0, 0, width, height);
        newImage.setFont(new Font("Verdana", 0, height-4));
        newImage.setColor(new Color(210, 210, 210));
        newImage.drawString(newText, 2, 18);
        newImage.setColor(new Color(0, 0, 0));
        newImage.drawString(newText, 2, 17);
        
        setImage(newImage);
    }
}
